/*
*  Dessine une ligne de carrés
*
* n : nombre de carrés
* (x,y) position du coin supérieur gauche de la ligne
* c : longueur du côté du carré
*/
void ligne(int n, int x, int y, int c) {
  for(int i = 0; i < n; i++) {
    rect(x + i * c, y, c , c);
  }
}

/*
*  Dessine plusieurs lignes de carrés
*
* n : nombre de carrés
* p : nombre de lignes
* (x,y) position du coin supérieur gauche du pavé
* c : longueur du côté du carré
*/
void pave(int n, int p, int x, int y, int c) {
  for(int i = 0; i < p; i++) {
    ligne(n, x, y + i * c, c);
  }
}

void setup() {
  size(400, 400);
  stroke(0);
  fill(255, 0, 0);
  ligne(10, 10, 50, 20);
  pave(8, 12, 10, 100, 20);
}
